[wishlist] add support for OAUTH across all supporting services

Bug #381133 reported by Fernando Miguel on 2009-05-28
94
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Gwibber
Wishlist
Unassigned
Nominated for 2.30 by Biafra Republic
Nominated for 3.0 by Biafra Republic
Nominated for Libgwibber by Biafra Republic

Bug Description

As stated on Bug 342160, Ryan plans to add OAUTH support for Jaiku

This bug is meant to track OAUTH support on Gwibber for services that have it, like twitter, jaiku, and very soon, identica/laconica (on version 0.8)

Changed in gwibber:
importance: Undecided → Wishlist
status: New → Confirmed
summary: - [wishlist] add support for OAUTH
+ [wishlist] add support for OAUTH across all supporting services
Bernd Schlapsi (bernd-sch) wrote :

OAuth in Gwibber would be great.
It always annoys me to provide my username/passwort and OAuth is a way to be more secure

+1 for this feature request

Bernd Schlapsi (bernd-sch) wrote :

OAuth is now supported with the latest version of status.net on identi.ca
http://identi.ca/notice/20251535

StatusNet now supports OAuth and Identi.ca server has it in production.
please implement this ASAP
thanks in advance

Ryan Paul (segphault) on 2010-03-08
Changed in gwibber:
milestone: none → 3.0
Eugene Crosser (crosser) wrote :

"me too" am interested in OAuth support for status.net accounts.
With thanks to the developers in advance!

Ryan Paul (segphault) wrote :

After conducting a careful reading of the OAuth specification and studying various implementations, I have concluded that the standard itself is fundamentally defective. It simply cannot be supported in desktop applications because there is no way to guarantee the security of the application secret key. As such, I have decided to remove plans for OAuth support from the roadmap until this issue is adequately addressed.

Changed in gwibber:
status: Confirmed → Won't Fix
tonfa (bboissin) wrote :

FYI, twitter will stop supporting basic auth by june 2010. Reconsidering the decision not to support oauth might be a good idea...

Ryan Paul (segphault) wrote :

We will support xAuth for Twitter. It avoids some of the specific security problems that are inherent to using OAuth on the desktop. Similarly, Facebook's implementation of OAuth 2.0 is suitable. We will not, however, support OAuth for any Web services that require an application secret key.

Jakob Lenfers (jakob-drss) wrote :

How is this coming along? The lack of oauth in the current release will break twitter in Ubuntu+Gwibber in two weeks. :(

Ryan Paul (segphault) wrote :

Twitter's OAuth implementation is still defective. They don't seem to be receptive to fixing it, but there is ongoing discussion about the possibility of creating an alternate authentication flow for open source applications. Their initial proposal isn't acceptable due to serious usability issues, but we are hopeful that we can find a better solution. Twitter has delayed the scheduled shutdown of basic authentication, so we still have another month to work something out.

Stuart Bishop (stub) wrote :

Less than a week now.

Basic auth is being switched off tomorrow (unless Twitter push it back again). Looks like we'll lose access to it from tomorrow unless an OAuth version of Gwibber gets pushed out tomorrow...

https://twitter.com/kenvandine/statuses/22547955160 :)

On Tue, Aug 31, 2010 at 2:00 AM, James Gregory <email address hidden>wrote:

> Basic auth is being switched off tomorrow (unless Twitter push it back
> again). Looks like we'll lose access to it from tomorrow unless an OAuth
> version of Gwibber gets pushed out tomorrow...
>
> --
> [wishlist] add support for OAUTH across all supporting services
> https://bugs.launchpad.net/bugs/381133
> You received this bug notification because you are subscribed to
> Gwibber.
>
> Status in Gwibber: Won't Fix
>
> Bug description:
> As stated on Bug 342160, Ryan plans to add OAUTH support for Jaiku
>
> This bug is meant to track OAUTH support on Gwibber for services that have
> it, like twitter, jaiku, and very soon, identica/laconica (on version 0.8)
>
>
>

Fibonacci (fibonacci-prower) wrote :

Basic Auth has been switched off, and Gwibber has stopped working.
How do I turn on oAuth?

Until OAuth/xAuth is added to the Gwibber, you can't I'm afraid.

Omer Akram (om26er) wrote :

you just got to wait a very little please :)

On Tue, Aug 31, 2010 at 10:11 PM, Fibonacci <email address hidden>wrote:

> Basic Auth has been switched off, and Gwibber has stopped working.
> How do I turn on oAuth?
>
> --
> [wishlist] add support for OAUTH across all supporting services
> https://bugs.launchpad.net/bugs/381133
> You received this bug notification because you are subscribed to
> Gwibber.
>
> Status in Gwibber: Won't Fix
>
> Bug description:
> As stated on Bug 342160, Ryan plans to add OAUTH support for Jaiku
>
> This bug is meant to track OAUTH support on Gwibber for services that have
> it, like twitter, jaiku, and very soon, identica/laconica (on version 0.8)
>
>
>

Omer Akram (om26er) wrote :

This bug is fixed in the Ubuntu-Desktop team's ppa. please update gwibber
from this ppa https://edge.launchpad.net/~ubuntu-desktop/+archive/ppa and
restart the gwibber service.

On Tue, Aug 31, 2010 at 10:25 PM, James Gregory
<email address hidden>wrote:

> Until OAuth/xAuth is added to the Gwibber, you can't I'm afraid.
>
> --
> [wishlist] add support for OAUTH across all supporting services
> https://bugs.launchpad.net/bugs/381133
> You received this bug notification because you are subscribed to
> Gwibber.
>
> Status in Gwibber: Won't Fix
>
> Bug description:
> As stated on Bug 342160, Ryan plans to add OAUTH support for Jaiku
>
> This bug is meant to track OAUTH support on Gwibber for services that have
> it, like twitter, jaiku, and very soon, identica/laconica (on version 0.8)
>
>
>

Nerdfest (nerdfest) wrote :

There seems to be a bit of a bug. The OAUth support for Twitter works nicely, but now I can't successfully add a Facebook account.

Why is this bug marked as Won't Fix if it's already fixed?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers